Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
firefox-57.0.4 + oracle jdk 1.9, how to make them work?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5270

PostPosted: Fri Jan 12, 2018 1:24 pm    Post subject: firefox-57.0.4 + oracle jdk 1.9, how to make them work? Reply with quote

Greetings,

any ideas how I can use oracle jdk 1.9's plugin within firefox? need it in order to connect to my workplace without the need for windows.
here is some info:
Code:
dagg@NCC-5001-D ~/workspace $ emerge --info www-client/firefox dev-java/oracle-jdk-bin
Portage 2.3.19 (python 2.7.14-final-0, default/linux/amd64/17.0/desktop/plasma, gcc-7.2.0, glibc-2.26-r5, 4.14.12-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.14.12-gentoo-x86_64-Intel-R-_Core-TM-_i7-2600_CPU_@_3.40GHz-with-gentoo-2.4.1
KiB Mem:    15903788 total,   2257548 free
KiB Swap:   16777212 total,  16777212 free
Timestamp of repository gentoo: Fri, 12 Jan 2018 06:00:01 +0000
Head commit of repository gentoo: 7593221abf949d6e093b986a2d596e9ddf1a504c
sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.3::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.4.6-r1::gentoo, 3.6.4::gentoo
dev-util/cmake:           3.10.1::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.12::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0::gentoo, 7.2.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r4::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.14::gentoo (virtual/os-headers)
sys-libs/glibc:           2.26-r5::gentoo
Repositories:

gentoo
    location: /mnt/portage/tree/official
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: --timeout=180

Utopia_Platinia
    location: /mnt/portage/tree/overlay
    masters: gentoo
    priority: 0

crossdev
    location: /mnt/portage/tree/overlay/portage-crossdev
    masters: gentoo
    priority: 10

ODROID-C2
    location: /var/lib/layman/ODROID-C2
    masters: gentoo
    priority: 50

kde
    location: /var/lib/layman/kde
    masters: gentoo
    priority: 50

musl
    location: /var/lib/layman/musl
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA FraunhoferFDK dlj-1.1 skype-4.0.0.7-copyright Broadcom PUEL googleearth LOKI-EULA AdobeFlash-11.x RTCW-ETEULA ut2003 MakeMKV-EULA Q3AEULA TeamViewer RAR OPERA-2014 Nero-AAC-EULA Oracle-BCLA-JavaSE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -msse4.1"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe -msse4.1"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --quiet-build=n"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs clean-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://mirror.isoc.org.il/gentoo/ ftp://ftp.halifax.rwth-aachen.de/gentoo/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--timeout=180"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi activities aio alsa amd64 amr audiofile avx bash-completion berkdb bidi branding bzip2 c++0x cairo cdda cdparanoia cdr cjk cleartype cli consolekit crypt css cups curl cxx dbus declarative device-mapper dga dri drm dts dv dvb dvd dvdr dvdread edb emboss encode exif faad fam ffmpeg firefox flac ftp gallium gdbm gif glamor gphoto2 gpm gtk iconv icq icu id3tag imagemagick java javascript jpeg jpeg2k kde kipi kwallet lame lcms ldap libnotify lua lzma mad matroska mng modules mp3 mp4 mpeg mtp multilib nas ncurses nls nptl nsplugin ogg openal openexr opengl openmp pam pango pcre pdf perl phonon php plasma png policykit ppds private-headers python qml qt3support qt5 quicktime readline real samba scanner sdl seccomp semantic-desktop smp sndfile spell srt sse sse2 sse3 sse4_1 sse4_2 ssl ssse3 startup-notification svg tcpd theora threads tiff truetype udev udisks udisks2 unicode upower usb v4l v4l2 vaapi vcd vdpau vorbis vpx wavpack widgets wifi wma wxwidgets x264 x265 xattr xcb xcomposite xml xosd xrandr xv xvid xvmc zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc efi-64" INPUT_DEVICES="evdev" KERNEL="linux" L10N="he es" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LLVM_TARGETS="AArch64 ARM AMDGPU" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" QEMU_SOFTMMU_TARGETS="x86_64 arm aarch64" QEMU_USER_TARGETS="x86_64 arm aarch64" RUBY_TARGETS="ruby21 ruby22" SANE_BACKENDS="hp" USERLAND="GNU" VIDEO_CARDS="v4l radeon r600 intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS

=================================================================
                        Package Settings
=================================================================

www-client/firefox-57.0.4::gentoo was built with the following:
USE="dbus gmp-autoupdate nsplugin screenshot startup-notification system-icu system-jpeg system-sqlite wifi -bindist -custom-cflags -custom-optimization -debug -eme-free -hardened -hwaccel -jack (-neon) -pgo (-pulseaudio) (-selinux) -system-harfbuzz -system-libevent -system-libvpx -test" ABI_X86="(64)" L10N="he -ach -af -an -ar -as -ast -az -bg -bn-BD -bn-IN -br -bs -ca -cak -cs -cy -da -de -dsb -el -en-GB -en-ZA -eo -es-AR -es-CL -es-ES -es-MX -et -eu -fa -ff -fi -fr -fy -ga -gd -gl -gn -gu -hi -hr -hsb -hu -hy -id -is -it -ja -ka -kab -kk -km -kn -ko -lij -lt -lv -mai -mk -ml -mr -ms -nb -nl -nn -or -pa -pl -pt-BR -pt-PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv -ta -te -th -tr -uk -uz -vi -xh -zh-CN -zh-TW"
CFLAGS="-march=native -pipe"
CXXFLAGS="-march=native -pipe -fno-delete-null-pointer-checks -fno-lifetime-dse -fno-schedule-insns2"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,-rpath=/usr/lib64/firefox,--enable-new-dtags"


dev-java/oracle-jdk-bin-1.8.0.152-r1::gentoo was built with the following:
USE="alsa cups fontconfig javafx nsplugin -commercial -derby -doc -examples -headless-awt -jce (-selinux) -source -visualvm" ABI_X86="(64)"


dev-java/oracle-jdk-bin-9.0.1::gentoo was built with the following:
USE="alsa cups fontconfig gtk3 javafx nsplugin -commercial -doc (-gentoo-vm) -gtk2 -headless-awt (-selinux) -source" ABI_X86="(64)"



thanks
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
blopsalot
Apprentice
Apprentice


Joined: 28 Jan 2017
Posts: 231

PostPosted: Fri Jan 12, 2018 9:33 pm    Post subject: Reply with quote

u must use the long term release firefox 52. the end is coming soon though. :)
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5270

PostPosted: Fri Jan 12, 2018 10:58 pm    Post subject: Reply with quote

blopsalot wrote:
u must use the long term release firefox 52. the end is coming soon though. :)

not sure that is correct, jdk 1.9 is supported by the new firefox, 1.8 isn't.
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
blopsalot
Apprentice
Apprentice


Joined: 28 Jan 2017
Posts: 231

PostPosted: Sat Jan 13, 2018 12:28 am    Post subject: Reply with quote

https://java.com/en/download/faq/jdk9_plugin.xml
https://support.mozilla.org/en-US/kb/npapi-plugins
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5270

PostPosted: Sat Jan 13, 2018 3:56 pm    Post subject: Reply with quote

ok, installed jre 1.9, still no go.

my work desktop with ubuntu 16.04, jdk 1.9 and firefox 57 (not esr) works, I don't what's missing...
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
blopsalot
Apprentice
Apprentice


Joined: 28 Jan 2017
Posts: 231

PostPosted: Sat Jan 13, 2018 6:25 pm    Post subject: Reply with quote

If that's the case than you are not troubleshooting the browser plugin. you are troubleshooting Web Start. Make firefox use /usr/bin/javaws to open JNLP files

edit: i'll add that having nsplugin use flag in the 57 ebuilds is confusing and should be removed as I don't see it doing anything. looks like a webstart use flag may be appropriate in it's replacement setting the config as required. I'm not bothering with any more bug reports for a while though....
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5270

PostPosted: Sat Jan 20, 2018 2:12 pm    Post subject: Reply with quote

ok, tried it, got to the site, entered the cradentials, a window opened. it listed loading applet and thats it.
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
blopsalot
Apprentice
Apprentice


Joined: 28 Jan 2017
Posts: 231

PostPosted: Sun Jan 21, 2018 12:43 am    Post subject: Reply with quote

try to open it directly in terminal with something like this:
Code:
javaws -J-Xdebug -J-Xnoagent -J-Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=8000 http://server:port/descriptor.jnlp
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5270

PostPosted: Fri Jan 26, 2018 1:49 pm    Post subject: Reply with quote

blopsalot wrote:
try to open it directly in terminal with something like this:
Code:
javaws -J-Xdebug -J-Xnoagent -J-Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=8000 http://server:port/descriptor.jnlp


that won't work, 1.9 isn't visible via java eselect
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
blopsalot
Apprentice
Apprentice


Joined: 28 Jan 2017
Posts: 231

PostPosted: Sat Jan 27, 2018 2:27 am    Post subject: Reply with quote

looks like they broke the slotting when changing it to "9". changing slot to"SLOT="1.9"" in ebuild makes java-config work again. i'd file a bug.
Back to top
View user's profile Send private message
k9dog
Tux's lil' helper
Tux's lil' helper


Joined: 22 Jun 2009
Posts: 84
Location: Denmark

PostPosted: Thu Feb 22, 2018 6:02 pm    Post subject: Reply with quote

DaggyStyle wrote:
blopsalot wrote:
u must use the long term release firefox 52. the end is coming soon though. :)

not sure that is correct, jdk 1.9 is supported by the new firefox, 1.8 isn't.


Hmm I smell 32 bit issues :( in new Firefox I mean. Bad support of old platforms / embedded systems it sounds like. Ahh well it's not like jdk allowed for a lot of variation when it came to processor. Too bad if Firefox inherits the problems of java (the intel exclusive club :P).
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum